// Package gilo Helper functions
package gilo

import "strings"

// Truncate a string to a length
func Truncate(s string, length int) string {
	if length < 1 {
		return ""
	}

	if len(s) < length {
		return s
	}

	var buf strings.Builder
	count := 0

	for _, char := range s {
		if count == length {
			break
		}

		buf.WriteRune(char)
		count++
	}

	return buf.String()
}
